#!/usr/bin/env ruby

require "tk"

# NG
#class TkCanvas
#  def bbox(*tags)
#    tags.collect{|tag| list(tk_send 'bbox', tagid(tag))}
#  end
#end

class TkCanvas
  def bbox(*tags)
	tagid = tags.collect{|tag| tagid(tag)}
    list(tk_send 'bbox', *tagid)
  end
end

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

oval1 = TkcOval.new(c1, 10, 10, 20, 20) {
  fill 'blue'
}

oval2 = TkcOval.new(c1, 110, 110, 120, 120) {
  fill 'blue'
}

TkButton.new {
  text 'c1.bbox(oval1)'
  command proc { print c1.bbox(oval1).join(" "), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text 'c1.bbox(oval1, oval2)'
  command proc { print c1.bbox(oval1, oval2).join(" "), "\n" }
  pack('fill' => 'x')
}

Tk.mainloop
