#!/usr/bin/env ruby

require "tk"

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

text1 = TkcText.new(c1, 100, 50) {
  text '01234567890123456789'
  width 150
}

TkButton.new {
  text "ID    c1.select_item()"
  command proc { print c1.select_item(), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "Text  c1.select_item()"
  command proc { print c1.itemcget(c1.select_item(), 'text'), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.select_clear()"
  command proc { print c1.select_clear(), "\n" }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.select from to"
  command proc { c1.select_from(text1, 2); c1.select_to(text1, 10) }
  pack('fill' => 'x')
}

Tk.mainloop
