#!/usr/bin/env wish

set v no

canvas .c1 -width 200 -height 200 \
		-xscrollcommand ".s2 set" -yscrollcommand ".s1 set" \
		-scrollregion {0 0 100 100} -confine $v
scrollbar .s1 -orient vertical -command ".c1 yview"
scrollbar .s2 -orient horizontal -command ".c1 xview"
checkbutton .b1 -text "confine yes" -onvalue yes -offvalue no \
		-variable v -command { .c1 configure -confine $v }
pack .s1 -side right -fill y
pack .s2 -side bottom -fill x
pack .b1 -side bottom
pack .c1

.c1 create oval 10 10 20 20 -fill red
.c1 create oval 100 100 110 110 -fill green
.c1 create oval 200 200 210 210 -fill blue
