#!/usr/bin/env ruby

require "tk"

c1 = TkCanvas.new {
  width 200
  height 200
  scrollregion [0, 0, 400, 400]
}

s1 = TkScrollbar.new {
  orient 'vertical'
  command proc {|arg| c1.yview *arg}
  pack('side' => 'right', 'fill' => 'y')
}

s2 = TkScrollbar.new {
  orient 'horizontal'
  command proc {|arg| c1.xview *arg}
  pack('side' => 'bottom', 'fill' => 'x')
}

c1.pack
c1.configure('xscrollcommand' => proc {|arg| s2.set *arg},
			 'yscrollcommand' => proc {|arg| s1.set *arg})

TkcOval.new(c1, 10, 10, 20, 20) {
  fill 'red'
}

TkcOval.new(c1, 100, 100, 110, 110) {
  fill 'green'
}

TkcOval.new(c1, 200, 200, 210, 210) {
  fill 'blue'
}

Tk.mainloop
