#!/usr/bin/env ruby

require "tk"

logo1 = TkPhotoImage.new {
  file [Tk::TK_LIBRARY, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}

TkLabel.new {
  image logo1
  pack
}

TkButton.new {
  text "write"
  command { print "write ppm file\n"; logo1.write('write.ppm', 'format' => 'ppm') }
  pack
}

TkButton.new {
  text "write 50x50"
  command { print "write ppm file\n";
	logo1.write('write.ppm', 'format' => 'ppm', 'from' => "0 0 50 50" ) }
  pack
}

Tk.mainloop
