#!/usr/bin/env ruby

require "tk"

tk_library = Tk::INTERP._invoke("set", "tk_library")

t1 = TkText.new {
  pack
}

for i in 0...10
  t1.insert('end', "Line#{i}\n")
end

logo1 = TkPhotoImage.new {
  file [tk_library, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}
ti = TkTextImage.new(t1, '2.10',
				'image' => logo1, 'pady' => 20)

print "ti.cget('padx') ", ti.cget('padx'), "\n"
print "ti.cget('pady') ", ti.cget('pady'), "\n"
print "ti.cget('image') ", ti.cget('image'), "\n"

Tk.mainloop
