#!/usr/bin/env ruby

require "tk"

t1 = TkText.new {
  pack
}

for i in 0...10
  t1.insert('end', "Line#{i}\n")
end

mark1 = TkTextMark.new(t1, '2.2')

TkButton.new {
  text "left"
  command proc { mark1.gravity = 'left' }
  pack('side' => 'left')
}

TkButton.new {
  text "right"
  command proc { mark1.gravity = 'right' }
  pack('side' => 'left')
}

TkButton.new {
  text "mark1.gravity()"
  command proc { print mark1.gravity(), "\n" }
  pack('side' => 'left')
}

TkButton.new {
  text "t1.get(mark1, '3.1')"
  command proc { print t1.get(mark1, '3.1'), "\n" }
  pack('side' => 'left')
}

Tk.mainloop
