#!/usr/bin/env ruby

require "tk"

class TkCanvas
  def raise(tag, above=None)
    tk_send 'raise', tagid(tag), tagid(above)
  end
end

c1 = TkCanvas.new {
  width 200
  height 200
  pack
}

oval1 = TkcOval.new(c1, 50, 50, 150, 150) {
  fill 'blue'
}

oval2 = TkcOval.new(c1, 75, 75, 175, 175) {
  fill 'yellow'
}

TkButton.new {
  text "c1.raise(oval1)"
  command proc { c1.raise(oval1) }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.raise(oval2)"
  command proc { c1.raise(oval2) }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.raise(oval1, oval2)"
  command proc { c1.raise(oval1, oval2) }
  pack('fill' => 'x')
}

TkButton.new {
  text "c1.raise(oval2, oval1)"
  command proc { c1.raise(oval2, oval1) }
  pack('fill' => 'x')
}

Tk.mainloop
