#!/usr/bin/env ruby

require "tk"

v1 = TkVariable.new
v2 = TkVariable.new

TkMenubutton.new {
  text 'File'
  menu TkMenu.new(self) {
	add "command", {'label' => "Open", 'command' => proc { print "Open\n" }}
	add "checkbutton", {'label' => "Check1", 'command' => proc { print v1, "\n" },
	  'variable' => v1, 'offvalue' => 9, 'onvalue' => 1, 'selectcolor' => 'blue'}
	add "checkbutton", {'label' => "Check2", 'command' => proc { print v2, "\n" },
	  'variable' => v2, 'offvalue' => 9, 'onvalue' => 1, 'selectcolor' => 'green'}
	add "command", {'label' => "Exit", 'command' => proc { exit }}
  }
  pack
}

Tk.mainloop
