#!/usr/bin/env ruby

require "tk"

mb = TkMenubutton.new {
  text 'File'
  pack('side' => 'left')
}

m1 = TkMenu.new(mb) {
  add "command", {'label' => "Open", 'command' => proc { print "Open\n" }}
  add "command", {'label' => "Exit", 'command' => proc { exit }}
}

mb.configure('menu' => m1)

print 'm1.menutype(0) ', m1.menutype(0), "\n";
print 'm1.menutype(1) ', m1.menutype(1), "\n";
print 'm1.menutype(@20) ', m1.menutype('@20'), "\n";
print 'm1.menutype(end) ', m1.menutype('end'), "\n";
print 'm1.menutype(last) ', m1.menutype('last'), "\n";
print 'm1.menutype(active) ', m1.menutype('active'), "\n";
print 'm1.menutype(none) ', m1.menutype('none'), "\n";
print 'm1.menutype(Open) ', m1.menutype('Open'), "\n";
print 'm1.menutype(Exit) ', m1.menutype('Exit'), "\n";

Tk.mainloop
