#!/usr/bin/env ruby

require "tk"

# [ruby-list:28674]
module TkComm
  def string_or_nil(s)
	s.empty? ? nil : s
  end
end

class TkScrollbar
  def activate(element=None)
	string_or_nil tk_send('activate', element)
  end
end

l1 = TkListbox.new {
  pack('side' => 'left',  'fill' => 'y')
}

s1 = TkScrollbar.new {
  command proc {|arg| l1.yview *arg}
  activebackground 'black'
  pack('side' => 'left',  'fill' => 'y')
}

l1.configure('yscrollcommand' => proc {|arg| s1.set *arg})

for i in 0...20
  l1.insert('end', "item#{i}")
end

TkButton.new {
  text "s1.activate('arrow2')"
  command { s1.activate('arrow2') }
  pack('side' => 'bottom')
}

Tk.mainloop
