#!/usr/bin/env ruby

require "tk"

class TkScrollbar
  def identify(x=None, y=None)
    tk_send('identify', x, y)
  end
end

l1 = TkListbox.new {
  pack('side' => 'left',  'fill' => 'y')
}

s1 = TkScrollbar.new {
  command proc {|arg| l1.yview *arg}
  pack('side' => 'left',  'fill' => 'y')
}

l1.configure('yscrollcommand' => proc {|arg| s1.set *arg})

for i in 0...20
  l1.insert('end', "item#{i}")
end

TkButton.new {
  text "s1.identify(10, 50)"
  command { print s1.identify(10, 50), "\n" }
  pack('side' => 'bottom')
}

Tk.mainloop
