#!/usr/bin/env ruby

require "tk"

tk_library = Tk::INTERP._invoke("set", "tk_library")

t1 = TkText.new {
  pack
}

for i in 0...10
  t1.insert('end', "Line#{i}\n")
end

logo1 = TkPhotoImage.new {
  file [tk_library, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}
TkTextImage.new(t1, '2.10',
				'image' => logo1, 'align' => 'top')

logo2 = TkPhotoImage.new {
  file [tk_library, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}
TkTextImage.new(t1, '3.10',
				 'image' => logo2, 'align' => 'center')

logo3 = TkPhotoImage.new {
  file [tk_library, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}
TkTextImage.new(t1, '4.10',
				 'image' => logo3, 'align' => 'bottom')

logo4 = TkPhotoImage.new {
  file [tk_library, 'demos', 'images', 'tcllogo.gif'].join(File::Separator)
}
TkTextImage.new(t1, '5.10',
				 'image' => logo4, 'align' => 'baseline')

Tk.mainloop
